---
updatedAt: 2026-05-07T13:26:35.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further.

# Reset card ATC

Reset card ATC (Application Transaction Counter) in case of sync failure between what is saved in a card's memory and the incremented data. The ATC is a counter, maintained by the chip card application (incremented by the chip), that provides a sequential reference to each transaction. A duplicate ATC, a decrease in ATC, or a large jump in ATC values  may indicate data copying or other fraud. For more information on how Pismo processes ATCs, refer to the [Application Transaction Counter (ATC)](https://developers.pismo.io/pismo-docs/docs/application-transaction-counter-atc) guide article.

**Notes:** 
  * ATC reset only occurs on the Pismo platform. When a new transaction occurs, the ATC is synchronized with the chip's ATC.
  * This endpoint takes an account token - an access token encoded with a Pismo account ID. For combo cards, whether the debit or credit ATC is reset depends on which account ID (credit or debit) is encoded with the access token.
  


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Card issuing - Cards",
    "version": "1.4.6",
    "description": "Card endpoints API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing."
    },
    {
      "url": "https://gw-pci.pismolabs.io",
      "description": "Sandbox PCI API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Cards",
      "description": "Card management endpoints"
    }
  ],
  "components": {
    "parameters": {
      "cardId": {
        "in": "path",
        "name": "cardId",
        "schema": {
          "type": "string"
        },
        "description": "Pismo card ID",
        "example": "12345",
        "required": true
      }
    },
    "schemas": {
      "CardsSuccessResponse": {
        "type": "object",
        "description": "Response body",
        "properties": {
          "success": {
            "type": "boolean",
            "description": "Flag indicating success",
            "example": true
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "responses": {
      "403Forbidden": {
        "description": "You don't have permission to access this resource"
      },
      "500InternalServer": {
        "description": "Internal server error"
      }
    }
  },
  "paths": {
    "/wallet/v2/cards/{cardId}/atc/reset": {
      "post": {
        "summary": "Reset card ATC",
        "description": "Reset card ATC (Application Transaction Counter) in case of sync failure between what is saved in a card's memory and the incremented data. The ATC is a counter, maintained by the chip card application (incremented by the chip), that provides a sequential reference to each transaction. A duplicate ATC, a decrease in ATC, or a large jump in ATC values  may indicate data copying or other fraud. For more information on how Pismo processes ATCs, refer to the [Application Transaction Counter (ATC)](https://developers.pismo.io/pismo-docs/docs/application-transaction-counter-atc) guide article.\n\n**Notes:** \n  * ATC reset only occurs on the Pismo platform. When a new transaction occurs, the ATC is synchronized with the chip's ATC.\n  * This endpoint takes an account token - an access token encoded with a Pismo account ID. For combo cards, whether the debit or credit ATC is reset depends on which account ID (credit or debit) is encoded with the access token.\n  \n",
        "operationId": "post-v2-card-atc-reset",
        "tags": [
          "Cards"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/cardId"
          }
        ],
        "responses": {
          "200": {
            "description": "Card ATC reset",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CardsSuccessResponse"
                }
              }
            }
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```